Index: readers/DelphesROOT.cpp
===================================================================
--- readers/DelphesROOT.cpp	(revision 94083e740ca4160b6effcacc0fd373fc597db601)
+++ readers/DelphesROOT.cpp	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -18,43 +18,40 @@
 
 #include <algorithm>
+#include <iostream>
+#include <memory>
+#include <sstream>
 #include <stdexcept>
-#include <iostream>
-#include <sstream>
-#include <memory>
 
 #include <map>
 #include <vector>
 
-#include <stdlib.h>
 #include <signal.h>
 #include <stdio.h>
-
+#include <stdlib.h>
+
+#include "TApplication.h"
 #include "TROOT.h"
-#include "TApplication.h"
-
+
+#include "TClonesArray.h"
+#include "TDatabasePDG.h"
 #include "TFile.h"
-#include "TClonesArray.h"
+#include "TLorentzVector.h"
 #include "TObjArray.h"
+#include "TParticlePDG.h"
 #include "TStopwatch.h"
-#include "TDatabasePDG.h"
-#include "TParticlePDG.h"
-#include "TLorentzVector.h"
-
-#include "modules/Delphes.h"
-#include "classes/DelphesStream.h"
+
 #include "classes/DelphesClasses.h"
 #include "classes/DelphesFactory.h"
-
+#include "classes/DelphesStream.h"
+#include "modules/Delphes.h"
+
+#include "ExRootAnalysis/ExRootProgressBar.h"
+#include "ExRootAnalysis/ExRootTreeBranch.h"
+#include "ExRootAnalysis/ExRootTreeReader.h"
 #include "ExRootAnalysis/ExRootTreeWriter.h"
-#include "ExRootAnalysis/ExRootTreeReader.h"
-#include "ExRootAnalysis/ExRootTreeBranch.h"
-#include "ExRootAnalysis/ExRootProgressBar.h"
-
-
 
 using namespace std;
 
 //---------------------------------------------------------------------------
-
 
 //---------------------------------------------------------------------------
@@ -94,5 +91,7 @@
   if(argc < 4)
   {
-    cout << " Usage: " << appName << " config_file" << " output_file" << " input_file(s)" << endl;
+    cout << " Usage: " << appName << " config_file"
+         << " output_file"
+         << " input_file(s)" << endl;
     cout << " config_file - configuration file in Tcl format," << endl;
     cout << " output_file - output file in ROOT format," << endl;
@@ -122,5 +121,5 @@
 
     branchEvent = treeWriter->NewBranch("Event", HepMCEvent::Class());
-   
+
     confReader = new ExRootConfReader;
     confReader->ReadFile(argv[1]);
@@ -129,7 +128,7 @@
     modularDelphes->SetConfReader(confReader);
     modularDelphes->SetTreeWriter(treeWriter);
-    
+
     TChain *chain = new TChain("Delphes");
-    
+
     factory = modularDelphes->GetFactory();
     allParticleOutputArray = modularDelphes->ExportArray("allParticles");
@@ -145,5 +144,5 @@
       chain->Add(argv[i]);
       ExRootTreeReader *treeReader = new ExRootTreeReader(chain);
-      
+
       inputFile = TFile::Open(argv[i]);
 
@@ -153,9 +152,9 @@
         throw runtime_error(message.str());
       }
-      
+
       numberOfEvents = treeReader->GetEntries();
-      TClonesArray *branchParticle   = treeReader->UseBranch("Particle");
+      TClonesArray *branchParticle = treeReader->UseBranch("Particle");
       TClonesArray *branchHepMCEvent = treeReader->UseBranch("Event");
-     
+
       if(numberOfEvents <= 0) continue;
 
@@ -169,12 +168,12 @@
       for(Int_t entry = 0; entry < numberOfEvents && !interrupted; ++entry)
       {
-    
+
         treeReader->ReadEntry(entry);
 
-        // -- TBC need also to include event weights --  
-        
-        eve = (HepMCEvent*) branchHepMCEvent->At(0);
+        // -- TBC need also to include event weights --
+
+        eve = (HepMCEvent *)branchHepMCEvent->At(0);
         element = static_cast<HepMCEvent *>(branchEvent->NewEntry());
-        
+
         element->Number = eventCounter;
 
@@ -197,16 +196,16 @@
         element->ProcTime = eve->ProcTime;
 
-        for(Int_t j=0; j < branchParticle->GetEntriesFast(); j++)
-        {     
-         
-          gen = (GenParticle*) branchParticle->At(j);     
+        for(Int_t j = 0; j < branchParticle->GetEntriesFast(); j++)
+        {
+
+          gen = (GenParticle *)branchParticle->At(j);
           candidate = factory->NewCandidate();
 
           candidate->Momentum = gen->P4();
-          candidate->Position.SetXYZT(gen->X, gen->Y, gen->Z, gen->T*1.0E3*c_light);
-          
+          candidate->Position.SetXYZT(gen->X, gen->Y, gen->Z, gen->T * 1.0E3 * c_light);
+
           candidate->PID = gen->PID;
           candidate->Status = gen->Status;
-     
+
           candidate->M1 = gen->M1;
           candidate->M2 = gen->M2;
@@ -216,8 +215,8 @@
 
           candidate->Charge = gen->Charge;
-          candidate->Mass   = gen->Mass;
-    
+          candidate->Mass = gen->Mass;
+
           allParticleOutputArray->Add(candidate);
- 
+
           pdgCode = TMath::Abs(gen->PID);
 
@@ -231,5 +230,5 @@
           }
         }
-        
+
         modularDelphes->ProcessTask();
 
@@ -242,12 +241,11 @@
         ++eventCounter;
       }
- 
+
       progressBar.Update(eventCounter, eventCounter, kTRUE);
       progressBar.Finish();
 
       inputFile->Close();
-    
+
       delete treeReader;
-      
     }
 
@@ -262,5 +260,5 @@
     delete outputFile;
     delete chain;
-    
+
     return 0;
   }
